package com.ruoyi.mall.domain;

import java.math.BigDecimal;

/**
 * @ClassName MallMemberCoupon
 * @Description 请描述类的业务用途
 * @Author linlinee
 * @Date 2021/12/17 6:03 PM
 * @Version 1.0
 **/

public class MallMemberCoupon {

    private Long userId;

    private Long couponId;

    private String createAt;

    //是否使用：0未使用 1已使用
    private String isUsed;

    //领取的优惠券面额
    private BigDecimal price;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getCouponId() {
        return couponId;
    }

    public void setCouponId(Long couponId) {
        this.couponId = couponId;
    }

    public String getCreateAt() {
        return createAt;
    }

    public void setCreateAt(String createAt) {
        this.createAt = createAt;
    }

    public String getIsUsed() {
        return isUsed;
    }

    public void setIsUsed(String isUsed) {
        this.isUsed = isUsed;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    @Override
    public String toString() {
        return "MallMemberCoupon{" +
                "userId=" + userId +
                ", couponId=" + couponId +
                ", createAt='" + createAt + '\'' +
                ", isUsed='" + isUsed + '\'' +
                ", price=" + price +
                '}';
    }
}
